ports/80412: [PATCH] mail/vpopmail: update to 5.4.10, add support to LDAP

Renato Botelho freebsd at galle.com.br
Wed Apr 27 17:50:26 UTC 2005


>Number:         80412
>Category:       ports
>Synopsis:       [PATCH] mail/vpopmail: update to 5.4.10, add support to LDAP
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          update
>Submitter-Id:   current-users
>Arrival-Date:   Wed Apr 27 17:50:23 GMT 2005
>Closed-Date:
>Last-Modified:
>Originator:     Renato Botelho
>Release:        FreeBSD 5.3-RELEASE-p9 i386
>Organization:
Galle Folheados - http://www.galle.com.br
>Environment:
System: FreeBSD data.galle.com.br 5.3-RELEASE-p9 FreeBSD 5.3-RELEASE-p9 #9: Fri Apr 15 07:52:00 BRST 2005
>Description:
- Update to 5.4.10
- Add support to LDAP

PS: This PR superseds ports/68707

Port maintainer (roam at FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
>How-To-Repeat:
>Fix:

--- vpopmail-5.4.10.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/mail/vpopmail/Makefile,v
retrieving revision 1.51
diff -u -r1.51 Makefile
--- Makefile	31 Jan 2005 00:35:50 -0000	1.51
+++ Makefile	27 Apr 2005 17:44:09 -0000
@@ -6,13 +6,10 @@
 #
 
 PORTNAME=	vpopmail
-PORTVERSION=	5.4.6
-PORTREVISION=	1
+PORTVERSION=	5.4.10
 CATEGORIES=	mail
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
-PATCH_SITES=	http://people.FreeBSD.org/~roam/ports/patches/mail/
-PATCHFILES=	vpopmail-547-snap.patch
 
 MAINTAINER=	roam at FreeBSD.org
 COMMENT=	Easy virtual domain and authentication package for use with qmail
@@ -36,6 +33,7 @@
 CONFIGURE_ARGS=	--enable-qmaildir=${QMAIL_DIR} \
 		--enable-tcprules-prog=${LOCALBASE}/bin/tcprules \
 		--enable-tcpserver-file=${PREFIX}/vpopmail/etc/tcp.smtp
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
 
 #
 # User-configurable variables
@@ -52,6 +50,7 @@
 # WITH_PGSQL	- allow authentication via PostgreSQL
 # WITH_SYBASE   - allow authentication via Sybase (NOT TESTED!)
 # WITH_ORACLE   - allow authentication via Oracle (NOT TESTED!)
+# WITH_LDAP     - allow authentication via LDAP
 # WITH_VALIAS   - enable valias processing
 # WITHOUT_ROAMING - disallow roaming users
 # WITH_IP_ALIAS - enables IP aliasing
@@ -129,6 +128,21 @@
 SPAM_THRESHOLD?=15
 LOGLEVEL?=	y
 
+.if defined(WITH_LDAP)
+USE_OPENLDAP=	yes
+.if defined(WITH_LDAP_SASL)
+WANT_OPENLDAP_SASL=	yes
+.endif
+CONFIGURE_ARGS+=	--enable-auth-module=ldap
+LDAP_FILES=		${WRKSRC}/README.ldap \
+			${WRKSRC}/ldap/qmailUser.schema \
+			${WRKSRC}/ldap/slapd.conf \
+			${WRKSRC}/ldap/vpopmail.ldif
+PLIST_SUB+=	LDAP=""
+.else
+PLIST_SUB+=	LDAP="@comment "
+.endif
+
 .if defined(WITH_MYSQL)
 USE_MYSQL=		yes
 CONFIGURE_ARGS+=	--enable-auth-module=mysql \
@@ -349,5 +363,9 @@
 	${ECHO_CMD} "-v -u vpopmail"
 	${ECHO_CMD} "***********************************************************************"
 .endif
+.if defined(WITH_LDAP)
+	${MKDIR} ${PREFIX}/vpopmail/ldap
+	${INSTALL_DATA} ${LDAP_FILES} ${PREFIX}/vpopmail/ldap
+.endif
 
 .include <bsd.port.post.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/mail/vpopmail/distinfo,v
retrieving revision 1.23
diff -u -r1.23 distinfo
--- distinfo	10 Sep 2004 06:23:24 -0000	1.23
+++ distinfo	27 Apr 2005 17:44:09 -0000
@@ -1,4 +1,2 @@
-MD5 (vpopmail-5.4.6.tar.gz) = 2db38c521b5fad4d76868d2582a72221
-SIZE (vpopmail-5.4.6.tar.gz) = 425910
-MD5 (vpopmail-547-snap.patch) = c9c5a82780b08e55299416df4e533238
-SIZE (vpopmail-547-snap.patch) = 18880
+MD5 (vpopmail-5.4.10.tar.gz) = 6709827f515f632424c2223c964698a1
+SIZE (vpopmail-5.4.10.tar.gz) = 432341
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/mail/vpopmail/pkg-plist,v
retrieving revision 1.10
diff -u -r1.10 pkg-plist
--- pkg-plist	9 Apr 2004 09:38:26 -0000	1.10
+++ pkg-plist	27 Apr 2005 17:44:09 -0000
@@ -19,7 +19,6 @@
 vpopmail/bin/vmoduser
 vpopmail/bin/vpasswd
 vpopmail/bin/vpopbull
-vpopmail/bin/vqmaillocal
 vpopmail/bin/vsetuserquota
 vpopmail/bin/vuserinfo
 vpopmail/doc/doc_html/vpopmail.html
@@ -51,6 +50,11 @@
 vpopmail/include/vpopmail.h
 vpopmail/include/vpopmail_config.h
 vpopmail/lib/libvpopmail.a
+%%LDAP%%vpopmail/ldap/README.ldap
+%%LDAP%%vpopmail/ldap/qmailUser.schema
+%%LDAP%%vpopmail/ldap/slapd.conf
+%%LDAP%%vpopmail/ldap/vpopmail.ldif
+%%LDAP%%@dirrm vpopmail/ldap
 @dirrm vpopmail/lib
 @dirrm vpopmail/include
 @unexec rmdir %D/vpopmail/etc 2>/dev/null || true
Index: files/patch-configure
===================================================================
RCS file: /home/ncvs/ports/mail/vpopmail/files/patch-configure,v
retrieving revision 1.10
diff -u -r1.10 patch-configure
--- files/patch-configure	25 Aug 2004 08:09:45 -0000	1.10
+++ files/patch-configure	27 Apr 2005 17:44:09 -0000
@@ -1,5 +1,5 @@
---- configure.old	Wed Aug 25 09:34:22 2004
-+++ configure	Wed Aug 25 09:41:18 2004
+--- configure.orig	Sun Mar 20 12:38:35 2005
++++ configure	Wed Apr 27 14:40:10 2005
 @@ -838,6 +838,8 @@
    --enable-qmail-newu=PATH   Full path to qmail-newu program.
    --enable-qmail-inject=PATH Full path to qmail-inject program.
@@ -9,7 +9,7 @@
    --enable-vpopuser=USER     User name allocated to vpopmail vpopmail.
    --enable-vpopgroup=GROUP   Group name allocated to vpopmail vchkpw.
    --enable-roaming-users     Enable POP-before-SMTP functionality.
-@@ -4694,7 +4696,7 @@
+@@ -4693,7 +4695,7 @@
  
  #----------------------------------------------------------------------
  
@@ -18,7 +18,7 @@
  then
    { echo "$as_me:$LINENO: WARNING: === vpopmail must be configured as root. ===" >&5
  echo "$as_me: WARNING: === vpopmail must be configured as root. ===" >&2;}
-@@ -4824,6 +4826,46 @@
+@@ -4823,6 +4825,46 @@
      ;;
  esac
  
@@ -65,7 +65,7 @@
  #----------------------------------------------------------------------
  
  echo "$as_me:$LINENO: checking whether we can locate the qmail directory" >&5
-@@ -5202,27 +5244,6 @@
+@@ -5201,27 +5243,6 @@
  
  #----------------------------------------------------------------------
  
@@ -93,7 +93,7 @@
  echo "$as_me:$LINENO: checking whether roaming-users has been enabled" >&5
  echo $ECHO_N "checking whether roaming-users has been enabled... $ECHO_C" >&6
  # Check whether --enable-roaming-users or --disable-roaming-users was given.
-@@ -5310,28 +5331,8 @@
+@@ -5309,29 +5330,9 @@
  if test "${enable_tcpserver_file+set}" = set; then
    enableval="$enable_tcpserver_file"
    tcpserver_file="$enableval"
@@ -113,13 +113,23 @@
 -
 +  echo "127.:allow,RELAYCLIENT=\"\"" > ${VCFGDIR}/tcp.smtp
  fi;
--
+ 
 -    if test ! -f "$tcpserver_file"
 -    then
 -        { { echo "$as_me:$LINENO: error: Unable to find your tcp.smtp file, specify --enable-tcpserver-path=/full/path/to/tcp.smtp" >&5
 -echo "$as_me: error: Unable to find your tcp.smtp file, specify --enable-tcpserver-path=/full/path/to/tcp.smtp" >&2;}
 -   { (exit 1); exit 1; }; }
 -    fi
- 
+-
      echo "$as_me:$LINENO: result: yes" >&5
  echo "${ECHO_T}yes" >&6
+ 
+@@ -5979,7 +5980,7 @@
+ #define USE_LDAP $USE_LDAP
+ _ACEOF
+ 
+-    auth_libs="-L/usr/local/lib -lldap -llber -lresolv"
++    auth_libs="-L/usr/local/lib -lldap -llber"
+ 
+     auth_inc="-I/usr/local/include"
+ 
--- vpopmail-5.4.10.patch ends here ---

>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list